from flask_demo_api.protocols.models import KeyDTO
from flask_demo_api.protocols.repository import Repository


class PostKey:
    def __init__(
        self,
        repository: Repository,
    ) -> None:
        self.__repository = repository

    def __call__(self, request: KeyDTO) -> KeyDTO | None:
        return self.__repository.add_key(obj=request)
